package com.ruoyi.project.training.newstaff.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.newstaff.mapper.TTnTransferplanMapper;
import com.ruoyi.project.training.newstaff.domain.TTnTransferplan;
import com.ruoyi.project.training.newstaff.service.ITTnTransferplanService;

/**
 * 转岗培训Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-05
 */
@Service
public class TTnTransferplanServiceImpl implements ITTnTransferplanService
{
    @Autowired
    private TTnTransferplanMapper tTnTransferplanMapper;

    /**
     * 查询转岗培训
     *
     * @param id 转岗培训ID
     * @return 转岗培训
     */
    @Override
    public TTnTransferplan selectTTnTransferplanById(Long id)
    {
        return tTnTransferplanMapper.selectTTnTransferplanById(id);
    }

    /**
     * 查询转岗培训列表
     *
     * @param tTnTransferplan 转岗培训
     * @return 转岗培训
     */
    @Override
    public List<TTnTransferplan> selectTTnTransferplanList(TTnTransferplan tTnTransferplan)
    {
        return tTnTransferplanMapper.selectTTnTransferplanList(tTnTransferplan);
    }

    /**
     * 新增转岗培训
     *
     * @param tTnTransferplan 转岗培训
     * @return 结果
     */
    @Override
    public int insertTTnTransferplan(TTnTransferplan tTnTransferplan)
    {
        return tTnTransferplanMapper.insertTTnTransferplan(tTnTransferplan);
    }

    /**
     * 修改转岗培训
     *
     * @param tTnTransferplan 转岗培训
     * @return 结果
     */
    @Override
    public int updateTTnTransferplan(TTnTransferplan tTnTransferplan)
    {
        return tTnTransferplanMapper.updateTTnTransferplan(tTnTransferplan);
    }

    /**
     * 批量删除转岗培训
     *
     * @param ids 需要删除的转岗培训ID
     * @return 结果
     */
    @Override
    public int deleteTTnTransferplanByIds(Long[] ids)
    {
        return tTnTransferplanMapper.deleteTTnTransferplanByIds(ids);
    }

    /**
     * 删除转岗培训信息
     *
     * @param id 转岗培训ID
     * @return 结果
     */
    @Override
    public int deleteTTnTransferplanById(Long id)
    {
        return tTnTransferplanMapper.deleteTTnTransferplanById(id);
    }

    @Override
    public int batchStatusByIds(Long[] ids) {
        return tTnTransferplanMapper.batchStatusByIds(ids);
    }
}
